Bug 21571 - Translate notices fail on ACCTDETAILS
Summary: Translate notices fail on ACCTDETAILS
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Notices (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on: 17762
Blocks:
  Show dependency treegraph
 
Reported: 2018-10-15 13:15 UTC by Hugo Agud
Modified: 2019-02-25 06:57 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21571: Make ACCTDETAILS translatable (1.14 KB, patch)
2018-10-16 14:57 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21571: Make ACCTDETAILS translatable (1.17 KB, patch)
2018-11-14 11:11 UTC, Hugo Agud
Details | Diff | Splinter Review
Bug 21571: Make ACCTDETAILS translatable (1.27 KB, patch)
2018-11-29 11:39 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Hugo Agud 2018-10-15 13:15:07 UTC
Translate notices fails on sending language translation for ACCTDETAILS

When creating a new patron at koha and syspref  TranslateNotices  is enabled and   AutoEmailOpacUser  is enabled Koha send an email to the patron.

It should send a notice according his 'Preferred language for notices:' but is is ignoring and just sendig the default notice, no matter what language has the patron selected.

Test plan
1. Go to syspref and enable translate notices and send email to new patronscreatd
2. Go to notices and make sure that ACCTDETAILS is ready for several languages
3. Create a new patron make sure to type a valid email and select a laguange that doesn't match with default language
4. receive the welcome mail
Comment 1 Jonathan Druart 2018-10-16 14:57:43 UTC
Created attachment 80656 [details] [review]
Bug 21571: Make ACCTDETAILS translatable

This patch makes the notice "ACCTDETAILS" translatable.

Test plan:
1. Switch on TranslateNotices and AutoEmailOpacUser
2. Define templates for different languages for ACCTDETAILS
3. Create a new patron, define an email address, userid and password.
Also pick a different "preferred language" then the default value
4. You should receive the email with the correct, translated, email.
Comment 2 Hugo Agud 2018-11-13 15:42:50 UTC
80656 - Bug 21571: Make ACCTDETAILS translatable

Apply? [(y)es, (n)o, (i)nteractive] y
Applying: Bug 21571: Make ACCTDETAILS translatable
Using index info to reconstruct a base tree...
Falling back to patching base and 3-way merge...
error: Your local changes to the following files would be overwritten by merge:
	C4/Letters.pm
Please, commit your changes or stash them before you can merge.
Aborting
Failed to merge in the changes.
Patch failed at 0001 Bug 21571: Make ACCTDETAILS translatable
The copy of the patch that failed is found in:
   /home/vagrant/kohaclone/.git/rebase-apply/patch
When you have resolved this problem run "git bz apply --continue".
If you would prefer to skip this patch, instead run "git bz apply --skip".
To restore the original branch and stop patching run "git bz apply --abort".
Patch left in /tmp/Bug-21571-Make-ACCTDETAILS-translatable-hKZVxD.patch
Comment 3 Jonathan Druart 2018-11-13 16:30:26 UTC
You have local changes:

error: Your local changes to the following files would be overwritten by merge:
	C4/Letters.pm
Comment 4 Hugo Agud 2018-11-14 11:11:57 UTC
Created attachment 82324 [details] [review]
Bug 21571: Make ACCTDETAILS translatable

This patch makes the notice "ACCTDETAILS" translatable.

Test plan:
1. Switch on TranslateNotices and AutoEmailOpacUser
2. Define templates for different languages for ACCTDETAILS
3. Create a new patron, define an email address, userid and password.
Also pick a different "preferred language" then the default value
4. You should receive the email with the correct, translated, email.

Signed-off-by: Hugo Agud <hagud@orex.es>
Comment 5 Marcel de Rooy 2018-11-29 11:39:53 UTC
Created attachment 82729 [details] [review]
Bug 21571: Make ACCTDETAILS translatable

This patch makes the notice "ACCTDETAILS" translatable.

Test plan:
1. Switch on TranslateNotices and AutoEmailOpacUser
2. Define templates for different languages for ACCTDETAILS
3. Create a new patron, define an email address, userid and password.
Also pick a different "preferred language" then the default value
4. You should receive the email with the correct, translated, email.

Signed-off-by: Hugo Agud <hagud@orex.es>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 6 Nick Clemens 2018-12-26 20:56:12 UTC
Awesome work all!

Pushed to master for 19.05
Comment 7 Martin Renvoize 2019-01-03 14:25:51 UTC
Pushed to 18.11.x for 18.11.02... it is a bug if something cannot be translated.
Comment 8 Lucas Gass 2019-01-03 21:36:14 UTC
backported to 18.05 for 18.05.08
Comment 9 Fridolin SOMERS 2019-01-08 06:52:05 UTC
Pushed to 17.11.x for 17.11.14